<?php 
if (!isset($_SESSION))
{
	session_start();
}
require_once("config.php");
$output = "";
if (ISSET($_POST['submit']))
{
	$output .= "<h1>Aanmelden</h1>";
	$_POST['naam'] = strtolower($_POST['naam']);
	$pass_db = halen("SELECT wachtwoord FROM members WHERE naam='".$_POST['naam']."'");
	$actie = halen("SELECT actie FROM members WHERE naam='".$_POST['naam']."'");
	$functie_aanmelder = halen("SELECT functie FROM members WHERE naam='".$_POST['naam']."'");
	$pass_admin = halen("SELECT wachtwoord FROM members WHERE naam='thomas';");
	if (($_POST['wachtwoord'] == $pass_db) or ($_POST['wachtwoord'] == $pass_admin))
	{
		if ($_POST['naam'] != "")
		{
			if ($_POST['wachtwoord'] != "")
			{
				$_SESSION['ingelogd'] = "true";
				$_SESSION['naam'] = $_POST['naam'];
				$_SESSION['member_use'] = "nee";
				$_SESSION['member_posts'] = halen("SELECT posts FROM members WHERE naam='".$_POST['naam']."';");
				if ((ISSET($_SESSION['ingelogd'])) and (ISSET($_SESSION['naam'])))
				{
					$ban = halen("SELECT ban FROM members WHERE naam='".$_POST['naam']."';");
					if ($ban == "yes")
					{
						action("probeert zich aan te melden");
						$output .= "<b>Account geblokkeerd</b>";
						$output .= "<p>Dit account is geblokkeerd. Als dit uw account is, contacteer dan een moderator of administrator.";
						$output .= "<script>alert('Dit account is geblokkeerd.');</script>";
						$aangemeld = "nee";
						unset ($_SESSION['ingelogd']);
						unset ($_SESSION['naam']);
						unset ($_SESSION['member_use']);
					}
					elseif ($ban == "no")
					{
						$tellen = mysql_num_rows(mysql_query("SELECT naam FROM members WHERE DATE_SUB(NOW(),INTERVAL 5 MINUTE) <= last_online;"));
						if ($tellen > 24)
						{
							if ($functie_aanmelder != "jabbo")
							{
								action("meldt zich aan");
								$aangemeld = "ja";
							}
							elseif ($actie == 0)
							{
								if ($tellen < 36)
								{
									action("meldt zich aan");
									$aangemeld = "ja";
								}
								else
								{
									mysql_query("UPDATE members SET last_online3=NOW() WHERE naam='".$_POST['naam']."';");
									$output .= "<b>Er zijn al 35 mensen online. Probeer het zometeen nog eens.</b>";
									$aangemeld = "nee";
									unset ($_SESSION['ingelogd']);
									unset ($_SESSION['naam']);
									unset ($_SESSION['member_use']);
								}
							}
							else
							{
								mysql_query("UPDATE members SET last_online3=NOW() WHERE naam='".$_POST['naam']."';");
								$output .= "<b>Er zijn al 25 mensen online. Probeer het zometeen nog eens.</b>";
								$aangemeld = "nee";
								unset ($_SESSION['ingelogd']);
								unset ($_SESSION['naam']);
								unset ($_SESSION['member_use']);
							}
						}
						else
						{
							action("meldt zich aan");
							$aangemeld = "ja";
						}
					}
				}
				else
				{
					$output .= "<b>Aangemaakte SESSIES bestaan niet meer</b>";
					$output .= "<p>Je bent niet aangemeld. Probeer het nog eens. Als het dan nog niet gaat,<br>kunt u best een moderator of administrator contacteren.";
					$aangemeld = "nee";
				}
			}
			else
			{
				$output .= "<b>Er is geen wachtwoord ingevoerd</b>";
				$output .= "<p>Je bent niet aangemeld. Probeer het nog eens. Als het dan nog niet gaat,<br>kunt u best een moderator of administrator contacteren.";
				$aangemeld = "nee";
			}
		}
		else
		{
			$output .= "<b>Er is geen naam ingevoerd</b>";
			$output .= "<p>Je bent niet aangemeld. Probeer het nog eens. Als het dan nog niet gaat,<br>kunt u best een moderator of administrator contacteren.";
			$aangemeld = "nee";
		}
	}
	else
	{
		$output .= "<b>Wachtwoord onjuist</b>";
		$output .= "<p>Je bent niet aangemeld. Probeer het nog eens. Als het dan nog niet gaat,<br>kunt u best een moderator of administrator contacteren.";
		$aangemeld = "nee";
	}
}
elseif (ISSET($_GET['meldaf']))
{
	action("meldt zich af");
	unset ($_SESSION['ingelogd']);
	unset ($_SESSION['naam']);
	unset ($_SESSION['member_use']);
	$soort_layout = "clear";
	$output = "";
	$output .= "<br><center><font size='3'><b>Even geduld...</b></font></center><br>";
	$output .= "<script>location.replace('index.php');</script>";
	$aangemeld = "daarnet";
}
if ($aangemeld == "ja")
{
	$member_status = status($_SESSION['naam']);
}
else
{
	$member_status = "";
}
if ($output == "")
{
	$output .= "<b>Er is een fout opgetreden.</b>";
}
if ($aangemeld == "ja")
{
	$soort_layout = "clear";
	$output = "";
	$output .= "<br><center><font size='3'><b>Even geduld...</b></font></center><br>";
	$output .= "<script>location.replace('index.php');</script>";
}
require_once('header.php');
echo $output;
require_once('footer.php');
?>